Chat plugin (Frei Chat) for Elgg 1.8.X v1.3.181

Release Notes

Fixed a security issue in the install.php

  • It seems that new version was released a couple of weeks ago by Evnix. Its the version 6.1.

    Is this version used in the ELGG plugin? If not how can we upgrade the vendor files?

    Thanks for your reply in advance.

  • I'm getting an error like this:
    Fatal error: Class 'PDO' not found in /home/zennu/public_html/mod/chat/vendors/freichat/installation/install.php on line 223

    Please help 

  • @Purus, will check it and let you know.

    @Zenin : Your server may not have PDO installed. Almost all web servers have PDO installed by default. Check your phpinfo()

  • I have installed the chat plugins and after configuration, it is perfectly doing well

  • Hello, I have a stupid question

    I follow the install processed described by Webgalli and now i have an acces to the administrator panel of Frei Chat... Now How do you launch the chat ?

    I try to find a new link in elgg => nothing

    I try to launch : http://mysite/elgg-1.8.0.1/freichat/client/main.php and it throws me horrible errors about JQuery (even with remove Jquery error to "Yes" in admin client side of frei chat).

    I'm sure it's a stupid question but could you help me ? Thanks !

  • @newbie999: If your settings and configurations are correct, the chatwindow will apprear in all page. No need to enable it seperately.

    You can see the chat window in the botto corner, as you see in facebook.

  • @Webgalli: Thanks for your effort on looking to my query.

  • I am the author of FreiChatX.

    @Team webgalli, you have done an excellent job.

    @newbie999 check your javascript console after your site loads completely, check to see if you find any errors(NOT warnings) relating to main.php file.

  • @Purus: there is nothing : no chat in all page and nothing in the bottom corner ... (with IE or Firefox)

    I will try it with Frei Chat 5.X

    @evnix: on Firefox, I've only warnings, no error, all are about elgg css or about freichat.css (so it load something but it's not displayed ^^).

  • @newbie999 dont use 5.x, its outdated, has some security issues and is not supported anymore. stick to the latest version.

    do you have any URL where we can have a look ? 

     

  • @Evnix Team : Glad to see you here and thanks for the excellent script of your's.

    @newbie : The URL structure you have posted here is wrong. Are you sure, you are trying to install the same plugin from this page? If you have installed the plugin from this page, then the chat script will be inside mod/vendors/freichat directory.

  • Is there a way to limit the chat to Friends?

  • @evnix ok, i hope i can fix my problem with 6.1. i haven't URL because i'm testing all this in localhost with wamp server on windows. My boss want a chat, so I try to install it.

    @team webgalli to resume I have :

    - unpacked the plugin donwloaded here in \www\elgg-1.8.0.1\mod\ => \www\elgg-1.8.0.1\mod\chat\ .... then activate it in administration. Then go to chat settings and check it ask me to install freichat.

    - installed freichat 6.1 in \www\elgg-1.8.0.1\freichat\

    - run install.php of \www\elgg-1.8.0.1\freichat\install.php (i havent install link in chat settings in administrator view).

    - remove \www\elgg-1.8.0.1\freichat\installation (as indicated)

    - activate the plugin chat in adminstrator settings of elgg

    What i've missed ?

  • I redo the whole from the beginning => i ve miss the link to install from the chat settings.

    => I see the chat \o/ thanks

    So what version of freichat is integrated ? this a 5.0 or 6.1 ?

     

  • You have installed it in the wrong path. The instllation should go inside \elgg_path\mod\chat\vendors\freichat

    I double checked the plugin zip and there is the installation URL there in the settings page of the plugin. Make sure you are using the latest version of the elgg plugin from this page. Read and follow the install instructions.

  • Yes the i've not seen the link the first time. I retry with the newest version 1.3.181 which integrates the 6.1. and all is working fine.

    Thank you !

  • I tried to install it 20 times but does not work !!!!!!!!!!!!!!!
    I am not file because you have already inserted in the folder?! create plugins or otherwiseget them done well -.-

     

    Google Translate

  • ¿Hay una manera de limitar la charla a los amigos? estoy  implementado una red social educativa ys eria molesto que estuvieran los 4000 estudiantes en el mismo chat

  • @Webmania : You should read the install info and try it. We are sure it should work. Another option for you is to contact Evnix team who offer  a free installation. Or you can hire a dev to install this for you.

    @Kevin : use english, if you want support for our plugins.

  • Hi there,

    I followed the instructions and installed the chat. After that I went in to activate it but I don't see the chat window anywhere. 

    http://totallymi.com/social/

    Thanks!

  • @imj : Have you turned on the chat? ie. Step 2 of installation

  • Install went smoothly enough in 1.8.1 using Evan's facebook plugin and displays OK in Chrome & Firefox but not at all in IE8 or IE9. It's set to Friends Only and I have 3 Test Users as well as Admin. Test1 & Test2 are the only friends but chat is only offered between Test2 & Admin. There are no Additional Option and no sound.

  • When plugins are active changes the way you see thetheme_facebook:

     

    image

    After:

     

    image

  • u r greatttttttttttttttttt

     

    http://evnix.com/drupal2/node/11

    can u please integrate the new version :D

    Thanks

Team Webgalli

Leading Elgg developers India. We provide Elgg development, consultation and optimizations. To know more about our Elgg services and for cool elgg stuffs visit us

Stats

  • Category: Communication
  • License: GNU General Public License (GPL) version 2
  • Updated: 2014-11-17
  • Downloads: 51860
  • Recommendations: 108

Other Projects

View Team Webgalli's plugins